package org.ccpit.base.controller;

import java.util.List;

/**
 * Created by Administrator on 2015/8/13.
 */
public class Page<T> extends PageRequest {

    List<T> rows = null;
    long total = 0L;

    public Page(PageRequest request) {
        this.pageNo = request.pageNo;
        this.pageSize = request.pageSize;
        this.countTotal = request.countTotal;
        this.orderBy = request.orderBy;
    }

    public List<T> getRows() {
        return rows;
    }

    public void setRows(List<T> rows) {
        this.rows = rows;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long totalLength) {
        this.total = totalLength;
    }


}
